import { Args } from '@/feature/args';
export type availableTemplate = 'node' | string;
export interface StableConfig {
    template: availableTemplate | string;
    projectCatalog: string;
    REPOSITORY_MAP_FILE_NAME: string;
    snpConfigFileName: string;
    remoteRepository: string;
    isDebug: boolean;
}
export interface GeneratedConfig {
    snpCatalog: string;
    sUpdaterVersion?: string;
    templateVersion?: string;
    temporaryFolder: string;
    snpConfigFile: string;
}
export interface ConfigType extends StableConfig, GeneratedConfig, BuildConfig {
    _: any[];
}
export type BuildConfig = {
    fileMap?: {
        map: string[];
        files: Record<string, string[]> | [];
        snpFiles?: object;
    };
    templateVersion?: string;
};
export declare const createPath: (parts: string[] | string, isFolder?: boolean) => string;
export declare const getConfig: (args: Args) => Promise<ConfigType>;
